# COMPAS VIEWER

Standalone viewer for COMPAS 2.0

More information is available in the docs: <https://compas.dev/compas_viewer/>

## Features

- Performative and easy-to-use new architecture based on [compas_v1](https://compas.dev/compas/1.17.9/)'s [compas_view2](https://compas.dev/compas_view2/).
- Complete configurable settings and flexible customization.
- Full support for all COMPAS objects (primitives, shapes, graph, mesh, volmesh) based on [compas.scene](https://compas.dev/compas/latest/api/generated/compas.scene.Scene.html#scene) architecture.
- Up-to-date [PySide6](https://pypi.org/project/PySide6/) and [PyOpenGL](https://pypi.org/project/PyOpenGL/) compatibility.
- Action-based user interaction: drag, select, zoom, pan, rotate, etc.
- Data-driven visualization with simple decorators: facecolor, edgecolor, vertexcolor, linewidth, pointsize, etc.
- Text tags and grids.
- Customizable UI and UI Controller
- Transformations in object space
- ...

## Installation

See the [Getting Started](https://compas.dev/compas_viewer/latest/installation.html) instructions in the docs.

## Tutorials

This [tutorial page](https://compas.dev/compas_viewer/latest/tutorial.html) contains basic lead-through, configuration setting, and software concepts.

## Examples

Examples can be found in our [example page](https://compas.dev/compas_viewer/latest/examples.html).

## Contributing

[Contributing page](CONTRIBUTING.md) provides the guidelines for contributing to this project. We very much welcome any contributions to this project (Bug Fix, Action class contribution, etc.)

## License

The code in this repo is licensed under the [MIT License](LICENCSE).

## Known Issues

Please check the [Issue Tracker](https://github.com/compas-dev/compas_viewer/issues) of the repo for known issues and their solutions.
